SoProtoInstance(3)

NAME
SoProtoInstance - The SoProtoInstance class handles PROTO instances.

SYNOPSIS

#include <Inventor/misc/SoProtoInstance.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoProtoInstance (SoProto *proto, const SoFieldData *deffielddata)
void setRootNode (SoNode *root)
SoNode * getRootNode (void)
SoProto * getProtoDefinition (void) const
SbName getProtoName (void) const
virtual void write (SoWriteAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
static SoProtoInstance * findProtoInstance (const SoNode *rootnode)

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoProtoInstance ()
virtual SbBool readInstance (SoInput *in, unsigned short flags)
virtual const char * getFileFormatName (void) const

  Additional Inherited Members

Detailed Description

The SoProtoInstance class handles PROTO instances.

See also
    SoProto

Constructor & Destructor Documentation

  SoProtoInstance::SoProtoInstance (SoProto * proto, const SoFieldData * deffielddata)
Constructor.

  SoProtoInstance::~SoProtoInstance () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoProtoInstance::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoProtoInstance::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData * SoProtoInstance::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  SoProtoInstance * SoProtoInstance::findProtoInstance (const SoNode * rootnode) [static]
Given root node rootnode, return the PROTO instance, or NULL if rootnode is not a PROTO instance root node.

  void SoProtoInstance::setRootNode (SoNode * root)
Sets the root node for this instance.

  SoNode * SoProtoInstance::getRootNode (void)
Returns the instance root node.

  SoProto * SoProtoInstance::getProtoDefinition (void) const
Returns the PROTO definition for this instance.

  SbName SoProtoInstance::getProtoName (void) const
Returns the PROTO definition name.

  void SoProtoInstance::write (SoWriteAction * action) [virtual]
Action method for SoWriteAction.

Writes out a node object, and any connected nodes, engines etc, if necessary.

Reimplemented from SoNode.

  SbBool SoProtoInstance::readInstance (SoInput * in, unsigned short flags) [protected], [virtual]
This method is mainly intended for internal use during file import operations.

It reads a definition of an instance from the input stream in. The input stream state points to the start of a serialized / persistent representation of an instance of this class type.

TRUE or FALSE is returned, depending on if the instantiation and configuration of the new object of this class type went OK or not. The import process should be robust and handle corrupted input streams by returning FALSE.

flags is used internally during binary import when reading user extension nodes, group nodes or engines.

Reimplemented from SoNode.

  const char * SoProtoInstance::getFileFormatName (void) const [protected], [virtual]
Returns the class name this object should be written under. Default string returned is the name of the class from the type system.

User extensions nodes and engines override this method to return the name of the extension (instead of 'UnknownNode' or 'UnknownEngine').

Reimplemented from SoBase.

Author

Generated automatically by Doxygen for Coin from the source code.